# Method: projects.locations.environments.loadSnapshot

- [HTTP request](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments/loadSnapshot#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments/loadSnapshot#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments/loadSnapshot#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments/loadSnapshot#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments/loadSnapshot#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments/loadSnapshot#body.aspect)
- [Try it!](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments/loadSnapshot#try-it)

Loads a snapshot of a Cloud Composer environment.

As a result of this operation, a snapshot of environment's specified in LoadSnapshotRequest is loaded into the environment.

### HTTP request

`POST https://composer.googleapis.com/v1beta1/{environment=projects/*/locations/*/environments/*}:loadSnapshot`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `environment` | `string` The resource name of the target environment in the form: "projects/{projectId}/locations/{locationId}/environments/{environmentId}" Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `environment`: - `composer.environments.update` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "snapshotPath": string, "skipPypiPackagesInstallation": boolean, "skipEnvironmentVariablesSetting": boolean, "skipAirflowOverridesSetting": boolean, "skipGcsDataCopying": boolean } ``` |

| Fields ||
|---|---|
| `snapshotPath` | `string` A Cloud Storage path to a snapshot to load, e.g.: "gs://my-bucket/snapshots/project_location_environment_timestamp". |
| `skipPypiPackagesInstallation` | `boolean` Whether or not to skip installing Pypi packages when loading the environment's state. |
| `skipEnvironmentVariablesSetting` | `boolean` Whether or not to skip setting environment variables when loading the environment's state. |
| `skipAirflowOverridesSetting` | `boolean` Whether or not to skip setting Airflow overrides when loading the environment's state. |
| `skipGcsDataCopying` | `boolean` Whether or not to skip copying Cloud Storage data when loading the environment's state. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/composer/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudcomposer`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).